package de.uni_passau.fim.seibt.gitwrapper.repo;

import java.util.Objects;
import java.util.logging.Logger;

public class Commit {

    private static final Logger LOG = Logger.getLogger(Commit.class.getCanonicalName());

    private Repository repo;
    private GitWrapper git;

    private String id;

    public Commit(Repository repo, String id) {
        this.repo = repo;
        this.git = repo.getGit();
        this.id = id;
    }

    public String getId() {
        return id;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }

        if (o == null || getClass() != o.getClass()) {
            return false;
        }

        Commit commit = (Commit) o;
        return Objects.equals(repo, commit.repo) && Objects.equals(id, commit.id);
    }

    @Override
    public int hashCode() {
        return Objects.hash(repo, id);
    }

    @Override
    public String toString() {
        return String.format("Commit{id='%s'}", id);
    }
}
